<template>
  <div class="editor p-7 bg-gray-300">
    <div class="editor__wrapper grid grid-cols-2 gap-7">
      <div class="editor__col bg-white overflow-visible relative">
        <div class="absolute top-0 left-0 w-full h-full overflow-visible">
          <router-view  name="canvas" />
        </div>
        <div class="editor__col__padding w-full" :style="{paddingBottom: paddingBottomCol}"></div>
      </div>
      <div class="editor__col overflow-hidden relative">
        <div class="editor__col__scroll absolute top-0 left-0 w-full h-full overflow-y-auto">
          <router-view  name="settings" />
        </div>
        <div class="editor__col__padding w-full" :style="{paddingBottom: paddingBottomCol}"></div>
      </div>
    </div>
  </div>
</template>

<script src="./editor.js" />
<style src="./editor.css" />